Subject: bug#28233: CC Mode 5.33 (C/*l); Emacs may get stuck with 100% CPU

From: Mohammed Sadiq <[email-masked]>
Date: Sun, 27 Aug 2017 06:54:11 +0530 (IST)

> On August 26, 2017 at 10:59 PM Alan Mackenzie <[email-masked]> wrote:
> 
> 
> Hello, Mohammed.
> 
Hi

> Yes.  There is a bug in some cache handling code for macros, which
> results in that cache thinking there's still a macro after it's been
> deleted.
> 
> Thanks indeed for the bug report!
> 
> Would you please apply the following patch, then confirm to me that it's
> fixed the problem, or else tell me what's still not working.  Thanks!
> 
 <snipped>

The patch surely fixed the issue. Thanks

By the way, the patch wasn't applying to the current HEAD of emacs git. I had to
manually add those lines it. Is it built from some other source? Alternatively,
can I say patch to skip some n lines (positive or negative) than the ones said in diff
and try to apply?